Architectures/MIPS/BuildIssues

From FedoraProject

< Architectures | MIPS(Difference between revisions)
Jump to: navigation, search
m (Compile time / build parameter issue)
m
 
(2 intermediate revisions by one user not shown)
Line 1: Line 1:
== Java issue ==
 
Some packages can't be built with java support as we don't have OpenJDK yet
 
* avahi
 
* bison
 
* ca-certificates
 
* ecj: bootstrap
 
* gettext
 
* graphviz
 
* java-1.5.0-gcj: need bootstrap = 1
 
* setools
 
* tetex-tex4ht
 
* tzdata
 
 
== MONO issue ==
 
Some packages can't be build with MONO support as we don't have MONO binaries yet
 
* avahi
 
* gmime
 
 
 
== MIPS specific patches needed ==
 
== MIPS specific patches needed ==
 
* binutils: needs MIPS support code
 
* binutils: needs MIPS support code
Line 30: Line 12:
 
* libgcrypt: needs MIPS support code
 
* libgcrypt: needs MIPS support code
 
* mesa: no WMB defined for MIPS
 
* mesa: no WMB defined for MIPS
 +
* mpfr: needs MIPS support code
 
* numpy: no MIPS CPU defined in GA version
 
* numpy: no MIPS CPU defined in GA version
 
* openssl: needs MIPS support code
 
* openssl: needs MIPS support code
* mpfr: needs MIPS support code
+
* ppp: /lib32 and /usr/lib32 should not be used, we only have one ABI
 
* redhat-rpm-config: support of mips architecture in rpmrc added
 
* redhat-rpm-config: support of mips architecture in rpmrc added
 
* rpm: support of mips architecture in rpmrc added
 
* rpm: support of mips architecture in rpmrc added
 +
* SDL: SDL_config.h hasn't consider MIPS
 
* systemtap: needs MIPS support code
 
* systemtap: needs MIPS support code
 
* tcp_wrapper: weak_symbol compile error, need #include <tcpd.h>
 
* tcp_wrapper: weak_symbol compile error, need #include <tcpd.h>
  
== Compile time / build parameter issue ==
+
== Feature disabling ==
* allegro: remove timidity++-patches dependency, timidity++-patches can't be built in MIPS
+
* bash: unknown issue in %check step, skipped
+
 
* curl: disable valgrind
 
* curl: disable valgrind
* elfutils: tests always fail. disable test
 
 
* gcc: build without cloog, ppl, multilib
 
* gcc: build without cloog, ppl, multilib
* glibc: consider mips64el architecture as well
 
* pciutils: consider mips64el architecture as well
 
* ppp: /lib32 and /usr/lib32 should not be used, we only have one ABI
 
 
* pstoedit: disable libEMF
 
* pstoedit: disable libEMF
 
* vala: disable devhelp
 
* vala: disable devhelp
 +
* xorg-x11-drivers: disable drivers that wont be used on MIPS
 +
=== Java issue ===
 +
Some packages can't be built with java support as we don't have OpenJDK yet
 +
* avahi
 +
* bison
 +
* ca-certificates
 +
* ecj: bootstrap
 +
* gettext
 +
* graphviz
 +
* java-1.5.0-gcj: need bootstrap = 1
 +
* setools
 +
* tetex-tex4ht
 +
* tzdata
 +
=== MONO issue ===
 +
Some packages can't be build with MONO support as we don't have MONO binaries yet
 +
* avahi
 +
* gmime
  
== Disabling -Werror needed (compiler issue?) ==
+
== Compile time / build parameter issue ==
 +
* allegro: remove timidity++-patches dependency, timidity++-patches can't be built in MIPS
 +
* glibc: consider mips64el architecture as well
 +
* pciutils: consider mips64el architecture as well
 +
=== Test bug ===
 +
* bash: unknown issue in %check step, skipped
 +
* elfutils: tests always fail. disable test
 +
=== Disabling -Werror needed (compiler issue?) ===
 
* gnome-power-manager
 
* gnome-power-manager
 
* metacity
 
* metacity

Latest revision as of 04:51, 11 April 2010

Contents

[edit] MIPS specific patches needed

  • binutils: needs MIPS support code
  • device-mapper-multipath: needs MIPS support code in kpartx header file
  • filesystem: we have /lib32 and /usr/lib32 in N32 systems
  • gc: libatomic_ops included in gc needs MIPS support code
  • gdb: needs MIPS support code
  • gmp: needs ABI patch
  • gnupg: needs MIPS support code
  • guile: needs MIPS support code
  • libaio: needs MIPS support code
  • libatomic_ops: needs MIPS support code
  • libgcrypt: needs MIPS support code
  • mesa: no WMB defined for MIPS
  • mpfr: needs MIPS support code
  • numpy: no MIPS CPU defined in GA version
  • openssl: needs MIPS support code
  • ppp: /lib32 and /usr/lib32 should not be used, we only have one ABI
  • redhat-rpm-config: support of mips architecture in rpmrc added
  • rpm: support of mips architecture in rpmrc added
  • SDL: SDL_config.h hasn't consider MIPS
  • systemtap: needs MIPS support code
  • tcp_wrapper: weak_symbol compile error, need #include <tcpd.h>

[edit] Feature disabling

  • curl: disable valgrind
  • gcc: build without cloog, ppl, multilib
  • pstoedit: disable libEMF
  • vala: disable devhelp
  • xorg-x11-drivers: disable drivers that wont be used on MIPS

[edit] Java issue

Some packages can't be built with java support as we don't have OpenJDK yet

  • avahi
  • bison
  • ca-certificates
  • ecj: bootstrap
  • gettext
  • graphviz
  • java-1.5.0-gcj: need bootstrap = 1
  • setools
  • tetex-tex4ht
  • tzdata

[edit] MONO issue

Some packages can't be build with MONO support as we don't have MONO binaries yet

  • avahi
  • gmime

[edit] Compile time / build parameter issue

  • allegro: remove timidity++-patches dependency, timidity++-patches can't be built in MIPS
  • glibc: consider mips64el architecture as well
  • pciutils: consider mips64el architecture as well

[edit] Test bug

  • bash: unknown issue in %check step, skipped
  • elfutils: tests always fail. disable test

[edit] Disabling -Werror needed (compiler issue?)

  • gnome-power-manager
  • metacity

[edit] F12 GA version not working, need update, not MIPS specific

  • clutter-gtk: missing dependencies on gir-repository-devel
  • gobject-introspection: compile option issue, fixed in F12 update RPMs

[edit] Source RPMS

http://lazyfai.dyndns.org/Fedora-12-SRPMS-MIPS/